iscsi_ifaces_get(3)

NAME
iscsi_ifaces_get - Retrieve all iSCSI interfaces.

SYNOPSIS
int iscsi_ifaces_get (struct iscsi_context *ctx, struct iscsi_iface ***ifaces, uint32_t *iface_count);

ARGUMENTS

ctx Pointer of 'struct iscsi_context'. If this pointer is NULL, your program will be terminated by assert.

ifaces
    Output pointer of 'struct iscsi_iface' pointer array. Its memory should be freed by iscsi_ifaces_free. If this pointer is NULL, your program will be terminated by assert.

iface_count
    Output pointer of uint32_t. Will store the size of

DESCRIPTION

Retrieves all iSCSI interfaces. For the properties of 'struct iscsi_iface', please refer to the functions defined in 'libopeniscsiusr_iface.h' file. The returned results contains default iSCSI interfaces(iser and iscsi_tcp) and iSCSI interfaces configured in "/etc/iscsi/ifaces/". Illegal configuration file will be skipped and warned. To generate iSCSI interface configuration when new card installed, please use iscsi_default_iface_setup.

RETURN
int. Valid error codes are:

* LIBISCSI_OK

* LIBISCSI_ERR_BUG

* LIBISCSI_ERR_NOMEM

* LIBISCSI_ERR_ACCESS

* LIBISCSI_ERR_SYSFS_LOOKUP

Error number could be converted to string by iscsi_strerror.